Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 2)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 15, 16, 17 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
sips
n00b
n00b


Joined: 08 Apr 2008
Posts: 31

PostPosted: Fri Nov 21, 2008 4:07 pm    Post subject: Reply with quote

musv wrote:
Naive question:

Did somebody realize to download kde-4.1.80? And if so, which server is the lucky one?

techbase.kde.org wrote:
November 18th, 2008: Tag KDE 4.2 Beta 1
Trunk is frozen for Beta 1 release tagging. Only urgent fixes, such as those fixing compilation errors, should be committed. The usual beta rules apply as soon as the Beta tarballs have been generated.

November 25th, 2008: Release KDE 4.2 Beta 1
Beta 1 becomes available for general consumption.

http://techbase.kde.org/Schedules/KDE4/4.2_Release_Schedule#November_18th.2C_2008:_Tag_KDE_4.2_Beta_1
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Fri Nov 21, 2008 5:51 pm    Post subject: Reply with quote

I've got a problem: I had kdebase-live mostly installed (a few packages wouldn't compile) and have now removed it by using emerge -Ca @kdebase-live, then using two commands that search for any packages with kde-*9999 and *4.1 - these exact commands are futher back in this thread. I then did a depclean and removed more things that way, and finished up with revdep-rebuild.

Now, if I still have the kde-crazy overlay installed but no overlay packages installed, an emerge -avuD world wants to pull in 27 packages related to kde-crazy. These include kdelibs-4.1.8 and kdelibs-9999, and both kdepimlibs. (I do have both live and 4.1.8 keyword files in package.keywords.)

So something is trying to pull in kde-crazy. Before I had tried to install it, an emerge -avuD world did not try to pull in any packages. So maybe I've missed something - is there a command to check? I've tried emerge -avuDt world for tree - I'll include that below but don't see what it could be. I'll leave the use flags in case someone spots something that prevents compiling. Some packages say "nomerge" with the tree view, but without tree, it looks like they're going to be installed.

If I remove the overlay, all is back to normal, but thought I would give it another try. But I don't want both kdelibs pulled in.

thanks for looking, JD

Code:
jad ~ # emerge -avuDt world
WARNING: repository at /usr/local/portage is missing a repo_name entry
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-base.eclass'
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-functions.eclass'
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-meta.eclass'
 *
 * It is best to avoid overriding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to add FEATURES="metadata-transfer" to /etc/make.conf and to
 * run `emerge --regen` after each time that you run `emerge --sync`. Set
 * PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you would like to
 * disable this warning.

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  NS   ] app-cdr/k3b-9999 [1.0.4] USE="css dvdr flac hal kdeprefix mp3 sndfile vorbis -debug -dvdread -emovix -encode -ffmpeg -htmlhandbook -musepack -vcd" 0 kB [1]
[ebuild  NS   ] kde-base/ark-9999 [3.5.9] USE="archive kdeprefix zip -debug -htmlhandbook" 0 kB [1]
[ebuild  NS   ] kde-base/kmix-9999 [3.5.9] USE="alsa kdeprefix -debug -htmlhandbook" 0 kB [1]
[ebuild  NS   ] media-gfx/digikam-0.10.0_beta4 [0.9.4] USE="kdeprefix -addressbook -debug -geolocation" LINGUAS="-ar -be -bg -ca -da -de -el -es -et -eu -fa -fi -fr -ga -gl -he -hi -is -ja -km -ko -lb -lt -lv -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -se -sk -sv -th -tr -uk -vi -zh_CN" 0 kB [1]
[ebuild  N    ]  kde-base/libkdcraw-4.1.80  USE="kdeprefix" 3,473 kB [1]
[ebuild  NS   ]  kde-base/kdebase-data-4.1.80 [3.5.9] USE="kdeprefix" 60,919 kB [1]
[ebuild  N    ]  kde-base/libkipi-4.1.80  USE="kdeprefix" 0 kB [1]
[ebuild  N    ]  kde-base/libkexiv2-4.1.80  USE="kdeprefix" 0 kB [1]
[ebuild  N    ]  kde-base/solid-4.1.80  USE="kdeprefix -bluetooth -networkmanager" 47,204 kB [1]
[nomerge      ] app-cdr/k3b-9999 [1.0.4] USE="css dvdr flac hal kdeprefix mp3 sndfile vorbis -debug -dvdread -emovix -encode -ffmpeg -htmlhandbook -musepack -vcd"  [1]
[ebuild  NS   ]  kde-base/libkcddb-9999 [3.5.9] USE="kdeprefix -debug -htmlhandbook -musicbrainz" 0 kB [1]
[ebuild  N    ]  kde-base/libkcompactdisc-9999  USE="alsa kdeprefix -debug -htmlhandbook" 0 kB [1]
[ebuild  N    ]   kde-base/kdepimlibs-9999  USE="kdeprefix sasl -debug -htmlhandbook -ldap -test" 0 kB [1]
[nomerge      ] kde-base/solid-4.1.80  USE="kdeprefix -bluetooth -networkmanager"  [1]
[ebuild  N    ]  kde-base/kdepimlibs-4.1.80  USE="kdeprefix sasl -debug -htmlhandbook -ldap -test" 1,526 kB [1]
[ebuild  N    ]   app-crypt/gpgme-1.1.6  USE="-pth" 0 kB [0]
[nomerge      ] kde-base/ark-9999 [3.5.9] USE="archive kdeprefix zip -debug -htmlhandbook"  [1]
[ebuild  NS   ]  kde-base/kdelibs-9999 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf" 0 kB [1]
[nomerge      ] kde-base/solid-4.1.80  USE="kdeprefix -bluetooth -networkmanager"  [1]
[ebuild  NS   ]  kde-base/kdelibs-4.1.80 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf" 10,407 kB [1]
[ebuild  N    ]   media-sound/phonon-9999  USE="xcb xine -debug -gstreamer" 0 kB [1]
[ebuild  N    ]   dev-libs/soprano-9999  USE="clucene sesame2 -debug -doc -redland" 0 kB [1]
[nomerge      ] kde-base/libkdcraw-4.1.80  USE="kdeprefix"  [1]
[nomerge      ]  kde-base/kdepimlibs-4.1.80  USE="kdeprefix sasl -debug -htmlhandbook -ldap -test"  [1]
[ebuild  N    ]   app-office/akonadi-server-9999  USE="mysql" 0 kB [1]
[nomerge      ] kde-base/libkcompactdisc-9999  USE="alsa kdeprefix -debug -htmlhandbook"  [1]
[nomerge      ]  kde-base/kdelibs-9999 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf"  [1]
[ebuild  N    ]   app-misc/strigi-9999  USE="clucene dbus exif fam qt4 -debug -hyperestraier -inotify -log -test" 0 kB [1]
[nomerge      ] kde-base/kmix-9999 [3.5.9] USE="alsa kdeprefix -debug -htmlhandbook"  [1]
[nomerge      ]  kde-base/kdelibs-9999 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf"  [1]
[nomerge      ]   media-sound/phonon-9999  USE="xcb xine -debug -gstreamer"  [1]
[ebuild  N    ]    kde-base/automoc-9999  0 kB [1]
[nomerge      ] kde-base/solid-4.1.80  USE="kdeprefix -bluetooth -networkmanager"  [1]
[ebuild  N    ]  kde-base/qimageblitz-0.0.4  USE="sse sse2 -3dnow (-altivec) -debug -mmx" 0 kB [0]
[nomerge      ] kde-base/libkcddb-9999 [3.5.9] USE="kdeprefix -debug -htmlhandbook -musicbrainz"  [1]
[nomerge      ]  kde-base/kdelibs-9999 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf"  [1]
[ebuild  N    ]   app-text/enchant-1.3.0  0 kB [0]
[nomerge      ] kde-base/ark-9999 [3.5.9] USE="archive kdeprefix zip -debug -htmlhandbook"  [1]
[ebuild  N    ]  app-arch/libarchive-2.5.5  USE="acl -build -static -xattr" 0 kB [0]
[ebuild  N    ]  dev-libs/libzip-0.8  0 kB [0]
[nomerge      ] media-gfx/digikam-0.10.0_beta4 [0.9.4] USE="kdeprefix -addressbook -debug -geolocation" LINGUAS="-ar -be -bg -ca -da -de -el -es -et -eu -fa -fi -fr -ga -gl -he -hi -is -ja -km -ko -lb -lt -lv -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -se -sk -sv -th -tr -uk -vi -zh_CN"  [1]
[nomerge      ]  kde-base/kdepimlibs-4.1.80  USE="kdeprefix sasl -debug -htmlhandbook -ldap -test"  [1]
[ebuild  N    ]   dev-libs/libical-0.33-r1  0 kB [0]
[nomerge      ] kde-base/libkdcraw-4.1.80  USE="kdeprefix"  [1]
[nomerge      ]  kde-base/kdelibs-4.1.80 [3.5.9-r4] USE="acl alsa bzip2 fam kdeprefix nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) -bindist -debug -doc -htmlhandbook -jpeg2k -kerberos -mmx -openexr -test -zeroconf"  [1]
[nomerge      ]   app-misc/strigi-9999  USE="clucene dbus exif fam qt4 -debug -hyperestraier -inotify -log -test"  [1]
[ebuild  N    ]    dev-cpp/clucene-0.9.21b  USE="-debug -doc -threads" 0 kB [0]

Total: 27 packages (19 new, 8 in new slots), Size of downloads: 123,527 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/kde-crazy

!!! The following installed packages are masked:
- x11-libs/qt-3.3.8-r4 (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
angiest
n00b
n00b


Joined: 12 Nov 2008
Posts: 14

PostPosted: Fri Nov 21, 2008 10:28 pm    Post subject: Reply with quote

tranquilcool wrote:
wrc1944 wrote:
Check this out. http://websvn.kde.org/trunk/KDE/kdepim/kresources/CMakeLists.txt?view=log

Maybe remove kdepim in distfiles, and try a fresh checkout- they might have fixed it at svn.

Hmm. Just noticed -No work on that since May 20, so maybe this link is not relevant. :roll: Still, a fresh checkout can't hurt. :wink:



have tried but still same thing.


Remove groupwise, egroupwise, and slox from KMEXTRACTONLY in the ebuild and then regenerate the digest. That fixes the problem and kdepim-kresources compiles.
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Nov 21, 2008 10:32 pm    Post subject: Reply with quote

kernelOfTruth wrote:
does anyone actually use nepomuk / strigi's search index ? can it be searched through like with recoll, tracker, beagle, etc. ?


Google gadgets are supposed to be 'working' in latest beta/-9999 though I haven't tested them.

Nepomuk/stringi in trunk is either broken so far or build process is messed up as indexing engine can't be activated (KDE complains about 'missing soprano backend, but it is installed, it may be some issue with cmake modules).
About frontends, well, frontends are a problem - krunner and kickoff menu are 'expected' to provide some semantic desktop search functionality but I haven't seen it working yet (due to problem with indexing engine - though I've heard on #kde-devel that something is supposed to be working - not here yet anyway)
So... I'm afraid you need to wait a bit.
_________________
Maciek
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sat Nov 22, 2008 2:36 pm    Post subject: Reply with quote

I have the indexing engine working here, there is also a strigi system tray applet and the configuration seems to work. I needed to install and set up it's mysql backend manually because the built in one does not seem to work.

Now I can search my local file system with krunner. I think you might have to play around with the settings a bit to make it work. I changed the search style from command oriented to task oriented, then back again and now it works.

P.S. If you are having problems with logging into 9999 then make sure consolekit is installed and running.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Sat Nov 22, 2008 3:07 pm    Post subject: Reply with quote

I don't get all the fuss about indexing engines in recent times, I've deactivated it. Imo that's useless junk.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sat Nov 22, 2008 3:21 pm    Post subject: Reply with quote

genstorm wrote:
I don't get all the fuss about indexing engines in recent times, I've deactivated it. Imo that's useless junk.


Maybe you just do not have much data, enjoy searching for stuff manually or you are incredibly organised ;) For me, a global desktop search is essential, even if I remember where files are, it is 100 times quicker to just type the name rather than navigate through a deep directory structure.

I use one search for emails, another for web, another for web sites I have already visited and another two for local files (one if I am looking for filename, another if I am looking for content).

OSX makes this really natural, once you start just searching for things (in a global search box) you will never go back to pecking around directories for files and applications.

Imagine what will happen once the semantic desktop is finished properly, you will be able to type in the name of a friend and it will show all documents, emails and messages that they have sent, you could then search within that, at the moment - all that metadata is just discarded.
Back to top
View user's profile Send private message
x_fight
n00b
n00b


Joined: 23 Nov 2008
Posts: 1

PostPosted: Sun Nov 23, 2008 3:43 am    Post subject: Reply with quote

when i try to install kdebase-live from kde-crazy overlay i found that, ebuild plasma-workspace require a library installed in ksysguard (ksgrd) but in ebuild that dependency are not specified

to solve I've removed the plasma-workspace dependency from ksysguard and installed that before plasma-workspace


excuse for my english
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1160

PostPosted: Sun Nov 23, 2008 6:42 am    Post subject: Reply with quote

kde4 totally slows down machine, swaps and every other things bad things.
where is it headed to?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Sun Nov 23, 2008 7:12 am    Post subject: Reply with quote

Overlay: kde-crazy, live-ebuilds:

Pykde4 fails with:

Code:
[ 99%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart6.o                                       
In Datei, eingefügt von /usr/include/python2.5/Python.h:13,                                                                                           
                 von /usr/include/python2.5/sip.h:28,                                                                                                 
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,                               
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/plasma/sipplasmapart6.cpp:7:                           
/usr/include/python2.5/pyconfig.h:948:1: Warnung: »_XOPEN_SOURCE« redefiniert                                                                         
<Kommandozeile>:1:1: Warnung: dies ist die Stelle der vorherigen Definition                                                                           
[ 99%] Built target kpythonpluginfactory                                                                                                               
[100%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart7.o                                       
In Datei, eingefügt von /usr/include/python2.5/Python.h:13,                                                                                           
                 von /usr/include/python2.5/sip.h:28,                                                                                                 
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,                               
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/plasma/sipplasmapart7.cpp:7:                           
/usr/include/python2.5/pyconfig.h:948:1: Warnung: »_XOPEN_SOURCE« redefiniert                                                                         
<Kommandozeile>:1:1: Warnung: dies ist die Stelle der vorherigen Definition                                                                           
Linking CXX shared library ../../lib/pykde/plasma.so                                                                                                   
CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart0.o: In function `void* qMetaTypeConstructHelper<Plasma::Containment::StyleOption>(Plasma::Containment::StyleOption const*)':                                                                                                             
sipplasmapart0.cpp:(.text._Z24qMetaTypeConstructHelperIN6Plasma11Containment11StyleOptionEEPvPKT_[void* qMetaTypeConstructHelper<Plasma::Containment::StyleOption>(Plasma::Containment::StyleOption const*)]+0x2f): undefined reference to `Plasma::Containment::StyleOption::StyleOption(Plasma::Containment::StyleOption const&)'                                                                                                                                 
sipplasmapart0.cpp:(.text._Z24qMetaTypeConstructHelperIN6Plasma11Containment11StyleOptionEEPvPKT_[void* qMetaTypeConstructHelper<Plasma::Containment::StyleOption>(Plasma::Containment::StyleOption const*)]+0x4e): undefined reference to `Plasma::Containment::StyleOption::StyleOption()'                 
CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart6.o: In function `init_Plasma_Containment_StyleOption':                             
sipplasmapart6.cpp:(.text+0x4c8f): undefined reference to `Plasma::Containment::StyleOption::StyleOption(QStyleOptionGraphicsItem const&)'             
sipplasmapart6.cpp:(.text+0x4cbe): undefined reference to `Plasma::Containment::StyleOption::StyleOption()'                                           
sipplasmapart6.cpp:(.text+0x4cfd): undefined reference to `Plasma::Containment::StyleOption::StyleOption(Plasma::Containment::StyleOption const&)'     
collect2: ld gab 1 als Ende-Status zurück                                                                                                             
make[2]: *** [lib/pykde/plasma.so] Fehler 1                                                                                                           
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/all] Fehler 2                                                                   
make: *** [all] Fehler 2         


Nepomuk fails with

Code:
---------------------------------------------------------------------------                                                                         

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk_build
>>> Source configured.                                                                       
>>> Compiling source in /var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk ...               
make -j3                                                                                     
>>> Source compiled.                                                                         
>>> Test phase [not enabled]: kde-base/nepomuk-9999                                           

>>> Install nepomuk-9999 into /var/tmp/portage/kde-base/nepomuk-9999/image/ category kde-base
make -j3 install DESTDIR=/var/tmp/portage/kde-base/nepomuk-9999/image/                       
make: *** Keine Regel, um »install« zu erstellen.  Schluss.                                 
 *                                                                                           
 * ERROR: kde-base/nepomuk-9999 failed.                                                     
 * Call stack:                                                                               
 *               ebuild.sh, line   49:  Called src_install                                   
 *             environment, line 3544:  Called kde4-meta_src_install                         
 *             environment, line 2784:  Called cmake-utils_src_install                       
 *             environment, line  903:  Called die                                           
 * The specific snippet of code:                                                             
 *       emake install DESTDIR="${D}" || die "Make install failed";                         
 *  The die message:                                                                         
 *   Make install failed                                                                     
 *                                                                                           
 * If you need support, post



akonadi fails with:

Code:
 assuan                                                                                                                                               
+ strigi indexing                                                                                                                                     
-----------------------------------------------------------------------------                                                                         
-- The following OPTIONAL packages could NOT be located on your system.                                                                               
-- Consider installing them to enable more features from this software.                                                                               
+ gnokii: Gnokii Development Libraries <http://www.gnokii.org>                                                                                         
Needed to provide the ability to import and export KDE addressbook entries to/from mobile phones that are accessible via gnokii                       
+ Nepomuk: Nepomuk <http://www.kde.org>                                                                                                               
For adding desktop-wide tagging support to kmail                                                                                                       
-----------------------------------------------------------------------------                                                                         

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:         
NEPOMUK_LIBRARIES (ADVANCED)                                                               
    linked by target "akonadi_nepomuktag_resource" in directory /var/tmp/portage/kde-base/akonadi-9999/work/akonadi/akonadi/resources/nepomuktag

-- Configuring incomplete, errors occurred!
 *                                         
 * ERROR: kde-base/akonadi-9999 failed.   
 * Call stack:                             
 *               ebuild.sh, line   49:  Called src_configure
 *             environment, line 3550:  Called kde4-meta_src_configure
 *             environment, line 2706:  Called kde4-base_src_configure
 *             environment, line 2418:  Called cmake-utils_src_configure
 *             environment, line  871:  Called cmake-utils_src_configureout
 *             environment, line  890:  Called die                         
 * The specific snippet of code:                                           
 *       cmake -C "${TMPDIR}/gentoo_common_config.cmake" ${cmakeargs} "${S}" || die "Cmake failed";
 *  The die message:                                                                               
 *   Cmake failed                             



korganizer fails with

Code:
[ 85%] Building CXX object korganizer/CMakeFiles/korganizerprivate.dir/kmailinterface.o                                                               
[ 85%] Building CXX object korganizer/CMakeFiles/korganizerprivate.dir/korganizerprivate_automoc.o                                                     
Linking CXX shared library ../lib/libkorganizerprivate.so                                                                                             
CMakeFiles/korganizerprivate.dir/kodialogmanager.o: In function `KODialogManager::createCategoryEditor()':                                             
kodialogmanager.cpp:(.text+0x5c9): undefined reference to `KPIM::CategoryEditDialog::CategoryEditDialog(KPIM::KPimPrefs*, QWidget*)'                   
CMakeFiles/korganizerprivate.dir/koeditorgeneral.o: In function `KOEditorGeneral::selectCategories()':                                                 
koeditorgeneral.cpp:(.text+0xdc6): undefined reference to `KPIM::CategorySelectDialog::CategorySelectDialog(KPIM::KPimPrefs*, QWidget*)'               
CMakeFiles/korganizerprivate.dir/koeditorgeneralevent.o: In function `KOEditorGeneralEvent::initTime(QWidget*, QBoxLayout*)':                         
koeditorgeneralevent.cpp:(.text+0x3a8d): undefined reference to `KPIM::KTimeZoneComboBox::KTimeZoneComboBox(KCal::Calendar*, QWidget*)'               
koeditorgeneralevent.cpp:(.text+0x3ab8): undefined reference to `KPIM::KTimeZoneComboBox::KTimeZoneComboBox(KCal::Calendar*, QWidget*)'               
CMakeFiles/korganizerprivate.dir/koeditorgeneraltodo.o: In function `KOEditorGeneralTodo::initTime(QWidget*, QBoxLayout*)':                           
koeditorgeneraltodo.cpp:(.text+0x3e36): undefined reference to `KPIM::KTimeZoneComboBox::KTimeZoneComboBox(KCal::Calendar*, QWidget*)'                 
koeditorgeneraltodo.cpp:(.text+0x3e5e): undefined reference to `KPIM::KTimeZoneComboBox::KTimeZoneComboBox(KCal::Calendar*, QWidget*)'                 
CMakeFiles/korganizerprivate.dir/koeditorgeneraljournal.o: In function `KOEditorGeneralJournal::selectCategories()':                                   
koeditorgeneraljournal.cpp:(.text+0xc6a): undefined reference to `KPIM::CategorySelectDialog::CategorySelectDialog(KPIM::KPimPrefs*, QWidget*)'       
CMakeFiles/korganizerprivate.dir/filtereditdialog.o: In function `FilterEdit::editCategorySelection()':                                               
filtereditdialog.cpp:(.text+0x55c): undefined reference to `KPIM::CategorySelectDialog::CategorySelectDialog(KPIM::KPimPrefs*, QWidget*)'             
collect2: ld gab 1 als Ende-Status zurück                                                                                                             
make[2]: *** [lib/libkorganizerprivate.so.4.2.0] Fehler 1                                                                                             
make[1]: *** [korganizer/CMakeFiles/korganizerprivate.dir/all] Fehler 2                                                                               
make: *** [all] Fehler 2                                                                                                                               
 *                                                                                                                                                     
 * ERROR: kde-base/korganizer-9999 failed.                                                                                                             
 * Call stack:                                                                                                                                         
 *               ebuild.sh, line   49:  Called src_compile                                                                                             
 *             environment, line 3537:  Called kde4-meta_src_compile                                                                                   
 *             environment, li


k3b fails with
Code:
Gui/qpalette.h:227)                                                                                                                 
/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999/src/rip/videodvd/k3bvideodvdrippingtitlelistview.cpp:213: Warnung: »highlightedText« ist veraltet (deklariert bei /usr/include/qt4/QtGui/qpalette.h:235)                                                                                                     
/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999/src/rip/videodvd/k3bvideodvdrippingtitlelistview.cpp:216: Warnung: »base« ist veraltet (deklariert bei /usr/include/qt4/QtGui/qpalette.h:228)                                                                                                                 
[ 88%] Building CXX object src/CMakeFiles/k3b_bin.dir/rip/videodvd/k3bvideodvdrippingjob.o                                                             
[ 89%] Building CXX object src/CMakeFiles/k3b_bin.dir/rip/videodvd/k3bvideodvdrippingwidget.o                                                         
[ 89%] Building CXX object src/CMakeFiles/k3b_bin.dir/rip/videodvd/k3bvideodvdrippingdialog.o                                                         
[ 89%] Building CXX object src/CMakeFiles/k3b_bin.dir/rip/videodvd/k3bvideodvdrippingpreview.o                                                         
[ 90%] Building CXX object src/CMakeFiles/k3b_bin.dir/k3b_bin_automoc.o                                                                               
Linking CXX executable k3b                                                                                                                             
[ 90%] Built target k3b_bin                                                                                                                           
make: *** [all] Fehler 2                                                                                                                               
 *                                                                                                                                                     
 * ERROR: app-cdr/k3b-9999 failed.                                                                                                                     
 * Call stack:                                                                                                                                         
 *               ebuild.sh, line   49:  Called src_compile                                                                                             
 *             environment, line 3144:  Called kde4-base_src_compile                                                                                   
 *             environment, line 2303:  Called kde4-base_src_make                                                                                     
 *             environment, line 2359:  Called cmake-utils_src_make                                                                                   
 *             environment, line  848:  Called die                                                                                                     
 * The specific snippet of code:                                                                                                                       
 *           emake "$@" || die "Make failed!";                                                                                                         
 *  The die message:                                                                                                                                   
 *   Make failed!                                                                                                                                     
 *                                           


Moreover, it is strange that I can start kde 4.2 with startx, but a login on kdm results in the screen going back and then returning to the login window.

Also, there is a dependency in networkmanager, which should be installed manually
ACCEPT_KEYWORDS="~x86" emerge =dev-libs/dbus-glib-0.74
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun Nov 23, 2008 9:41 am    Post subject: Reply with quote

Code:
[ 35%] Building CXX object kopete/protocols/jabber/libiris/CMakeFiles/iris_kopete.dir/iris_kopete_automoc.o                                                       
[ 35%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nowlisteningplugin.o                                                     
/var/tmp/portage/kde-base/kopete-4.1.73/work/kopete-4.1.73/kopete/plugins/nowlistening/nowlisteningplugin.cpp:121:49: warning: "HAVE_XMMS" is not defined         
Linking CXX shared library ../../../../lib/libiris_kopete.so                                                                                                       
[ 35%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nlkscd.o                                                                 
CMakeFiles/iris_kopete.dir/iris/xmpp-core/jid.o: In function `XMPP::Jid::validResource(QString const&, QString*)':                                                 
jid.cpp:(.text+0x821): undefined reference to `stringprep_xmpp_resourceprep'                                                                                       
jid.cpp:(.text+0x82d): undefined reference to `stringprep'                                                                                                         
CMakeFiles/iris_kopete.dir/iris/xmpp-core/jid.o: In function `XMPP::Jid::validNode(QString const&, QString*)':                                                     
jid.cpp:(.text+0xd91): undefined reference to `stringprep_xmpp_nodeprep'                                                                                           
jid.cpp:(.text+0xd9d): undefined reference to `stringprep'                                                                                                         
CMakeFiles/iris_kopete.dir/iris/xmpp-core/jid.o: In function `XMPP::Jid::validDomain(QString const&, QString*)':                                                   
jid.cpp:(.text+0x1300): undefined reference to `stringprep_nameprep'                                                                                               
jid.cpp:(.text+0x130c): undefined reference to `stringprep'                                                                                                       
collect2: ld returned 1 exit status                                                                                                                               
make[2]: *** [lib/libiris_kopete.so.1.0.0] Error 1                                                                                                                 
make[1]: *** [kopete/protocols/jabber/libiris/CMakeFiles/iris_kopete.dir/all] Error 2                                                                             
make[1]: *** Waiting for unfinished jobs....                                                                                                                       
[ 35%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nlxmms.o                                                                 
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nowlisteningguiclient.o                                                 
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nljuk.o                                                                 
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nlamarok.o                                                               
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nlquodlibet.o                                                           
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nlkaffeine.o                                                             
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/nowlisteningconfig.o                                                     
[ 36%] Building CXX object kopete/plugins/nowlistening/CMakeFiles/kopete_nowlistening.dir/kopete_nowlistening_automoc.o                                           
Linking CXX shared module ../../../lib/kopete_nowlistening.so                                                                                                     
[ 38%] Built target kopete_nowlistening                                                                                                                           
make: *** [all] Error 2                                                                                                                                           
 *                                                                                                                                                                 
 * ERROR: kde-base/kopete-4.1.73 failed.                                                                                                                           
 * Call stack:                                                                                                                                                     
 *               ebuild.sh, line   49:  Called src_compile                                                                                                         
 *             environment, line 3590:  Called kde4-meta_src_compile                                                                                               
 *             environment, line 2745:  Called kde4-meta_src_make                                                                                                 
 *             environment, line 2838:  Called kde4-base_src_make                                                                                                 
 *             environment, line 2476:  Called cmake-utils_src_make                                                                                               
 *             environment, line  921:  Called die                                                                                                                 
 * The specific snippet of code:                                                                                                                                   
 *           emake "$@" || die "Make failed!";                                                                                                                     
 *  The die message:                                                                                                                                               
 *   Make failed!                                                                                                                                                 
 *                                                                                                                                                                 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kopete-4.1.73/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kopete-4.1.73/temp/environment'.
 * This ebuild used the following eclasses from overlays:
 *   /usr/portage/local/layman/kde-crazy/eclass/kde4-meta.eclass
 *   /usr/portage/local/layman/kde-crazy/eclass/kde4-functions.eclass
 *   /usr/portage/local/layman/kde-crazy/eclass/kde4-base.eclass
 *

>>> Failed to emerge kde-base/kopete-4.1.73, Log file:


any idea?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3250
Location: Gainesville, Florida

PostPosted: Sun Nov 23, 2008 1:56 pm    Post subject: Reply with quote

hunky,
I'm not on my Gentoo system until Dec. 2 (visiting relatives) but if IIRC:

Kdesvn and kde4 stuff still needs certain kde-3.5 packages installed. That might no longer be true, but it's worth looking into. Also, I read that it now requires kde-3.5.10, so I'd let your 3.5.9 stuff update.

If you just want kde-live 9999 and run kdeprefix, you need to remask any 4.1.x stuff emerge is trying to install in /etc/portage/package.mask, and that should solve that problem, and any 3.5.8 package will update to 3.5.10.

Are you running ~x86 or just x86? I've found in the past if you run svn stuff, it's better to run a pure ~x86 system, as svn sometimes requires updated versions of various deps still not in x86. You can do them individually, but for me it's just too much trouble. I've run only ~x86 since I started Gentoo 5 years ago, without much trouble, but it's not for everyone.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Sun Nov 23, 2008 2:02 pm    Post subject: Reply with quote

wrc1944 wrote:
Kdesvn and kde4 stuff still needs certain kde-3.5 packages installed. That might no longer be true, but it's worth looking into. Also, I read that it now requires kde-3.5.10, so I'd let your 3.5.9 stuff update.

Really, I haven't run into such a problem yet and I'm working on a clean kde-4.2 machine without any 3.5 stuff left. There's barely even qt-3 in use, it wouldn't be there anymore except for scribus.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Sun Nov 23, 2008 2:51 pm    Post subject: Reply with quote

I have updated an now if I try to update I get the next error:

emerge: the given set 'world' contains a non-existent set named 'koffice-2'.


Can anybody help me??
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Nov 23, 2008 3:30 pm    Post subject: Reply with quote

Hi guys,

when trying to update the repo I very often get:

Quote:
git pull
fatal: http://git.overlays.gentoo.org/gitroot/proj/kde-crazy.git/info/refs not found: did you run git update-server-info on the server?


what to do about it?

is it a problem on my side or on the server ?

thanks for your help and this terrific overlay :P
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Sun Nov 23, 2008 4:13 pm    Post subject: Reply with quote

kernelOfTruth wrote:
Hi guys,
when trying to update the repo I very often get:
Quote:
git pull
fatal: http://git.overlays.gentoo.org/gitroot/proj/kde-crazy.git/info/refs not found: did you run git update-server-info on the server?

what to do about it?
is it a problem on my side or on the server ?
thanks for your help and this terrific overlay :P


Well, do you need to use http? Try url=git://git.overlays.gentoo.org/proj/kde-crazy.git (in kde-crazy/.git/config)
_________________
Maciek
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Sun Nov 23, 2008 10:51 pm    Post subject: Reply with quote

wrc1944 wrote:
hunky,
I'm not on my Gentoo system until Dec. 2 (visiting relatives) but if IIRC:

Kdesvn and kde4 stuff still needs certain kde-3.5 packages installed. That might no longer be true, but it's worth looking into. Also, I read that it now requires kde-3.5.10, so I'd let your 3.5.9 stuff update.

If you just want kde-live 9999 and run kdeprefix, you need to remask any 4.1.x stuff emerge is trying to install in /etc/portage/package.mask, and that should solve that problem, and any 3.5.8 package will update to 3.5.10.

Are you running ~x86 or just x86? I've found in the past if you run svn stuff, it's better to run a pure ~x86 system, as svn sometimes requires updated versions of various deps still not in x86. You can do them individually, but for me it's just too much trouble. I've run only ~x86 since I started Gentoo 5 years ago, without much trouble, but it's not for everyone.


thanks wrc1944. I figured out my problem - thinking I would post it but didn't want to clog up the thread much if no one cared. I run basically a x86 system but have some packages keyworded. For some reason though I had keyworded kdebase-meta. Maybe when I first started investigating trying out kde-4.1. So when I removed that keyword, as well as the keyword for k3b, digikam, and another or two, it quit trying to pull in kde4 packages. Since I did want to keep the most up-to-date digikam and k3b and whatever else it was, I let them pull in the necessary kde4 stuff (slotted) and things seem back to normal.

I've also since upgraded to 3.5.10 - just in case I want to try crazy again. I did that by keywording all the packages in kdebase-meta-3.5.10, not including meta.

As for pure ~x86 system, since I don't run that way, it could be why I'm having trouble compiling plasma-workspace and a couple others with different errors than other people are showing.

cheers, JD


Last edited by hunky on Mon Nov 24, 2008 4:42 am; edited 2 times in total
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Mon Nov 24, 2008 1:46 am    Post subject: Reply with quote

now, pykde4 fails with:

Code:
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/soprano/sipsopranopart6.cpp:7:                         
/usr/include/python2.5/pyconfig.h:948:1: Warnung: »_XOPEN_SOURCE« redefiniert                                                                         
<Kommandozeile>:1:1: Warnung: dies ist die Stelle der vorherigen Definition                                                                           
In Datei, eingefügt von /usr/include/python2.5/Python.h:13,                                                                                           
                 von /usr/include/python2.5/sip.h:28,                                                                                                 
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/soprano/sipAPIsoprano.h:11,                             
                 von /var/tmp/portage/kde-base/pykde4-9999/work/pykde4_build/python/pykde4/sip/soprano/sipsopranopart7.cpp:7:                         
/usr/include/python2.5/pyconfig.h:948:1: Warnung: »_XOPEN_SOURCE« redefiniert                                                                         
<Kommandozeile>:1:1: Warnung: dies ist die Stelle der vorherigen Definition                                                                           
Linking CXX shared library ../../lib/pykde/soprano.so                                                                                                 
[ 98%] Built target python_module_PyKDE4_soprano                                                                                                       
make: *** [all] Fehler 2                                                                                                                               
 *                                                                                                                                                     
 * ERROR: kde-base/pykde4-9999 failed.                                                                                                                 
 * Call stack:                                                                                                                                         
 *               ebuild.sh, line   49:  Called src_compile                                                                                             
 *             environment, line 3532:  Called kde4-meta_src_compile                                                                                   
 *             environment, line 2701:  Called kde4-meta_src_make                                                                                     
 *             environment, line 2794:  Called kde4-base_src_make                                                                                     
 *             environment, line 2432:  Called cmake-utils_src_make                                                                                   
 *             environment, line  914:  Called die                                                                                                     
 * The specific snippet of code:                                                                                                                       
 *           emake "$@" || die "Make failed!";                                                                                                         
 *  The die message:                                                                                                                                   
 *   Make failed!                 
Back to top
View user's profile Send private message
WindKin
n00b
n00b


Joined: 23 Jul 2003
Posts: 40
Location: Sarpsborg, Norway

PostPosted: Mon Nov 24, 2008 3:04 am    Post subject: Reply with quote

*blinks*

Does this mean the nightmare is over?
I can throw paludis out and never have to see it ever again?
I never have to muck around with sets and weird syntax?

Portage and KDE svn? :D

Hehe, nice job, can't wait to try this out (that beeing, once I figure out how to uproot paludis from my soul)

WK
_________________
There are 10 kinds of people. Those who understand binary, and those who don't.
Back to top
View user's profile Send private message
angiest
n00b
n00b


Joined: 12 Nov 2008
Posts: 14

PostPosted: Mon Nov 24, 2008 2:31 pm    Post subject: Reply with quote

Overnight I was able to do a complete (re)build of kde-crazy with absolutely no failures! :D
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Mon Nov 24, 2008 6:38 pm    Post subject: Reply with quote

i think there is something wrong in my setup:

Code:
krogpc krog # emerge @kdeadmin -a
WARNING: One or more repositories have missing repo_name entries:

        /usr/local/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-base.eclass'
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-functions.eclass'
 *   '/usr/portage/local/layman/kde-crazy/eclass/kde4-meta.eclass'
 *
 * It is best to avoid overriding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to add FEATURES="metadata-transfer" to /etc/make.conf and to
 * run `emerge --regen` after each time that you run `emerge --sync`. Set
 * PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you would like to
 * disable this warning.

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "kde-base/kuser:4.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kuser-4.1.3 (masked by: ~amd64 keyword)
- kde-base/kuser-4.1.2 (masked by: ~amd64 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


i have installed each 4.1.73 package by hand (not everything, this is why i was trying to emerge sets)[/quote]
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Mon Nov 24, 2008 7:27 pm    Post subject: Reply with quote

I do get the same error as bennie123 on pykde4 - as of late last night. /jd
Back to top
View user's profile Send private message
alchark
n00b
n00b


Joined: 19 Feb 2008
Posts: 9

PostPosted: Mon Nov 24, 2008 10:30 pm    Post subject: Reply with quote

Guys, will there be support for import filters in Koffice? Currently, if you look into CMakeFiles.txt for KWord, for example, the add_subdirectory(filters) entry is commented out with #DONOTCOMPILE. I tried simply uncommenting it, but the build failed with undefined symbols regarding QtXml - I did not dig any further...

This is a feature I really miss due to inability to open MSWord files with KWord.
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Tue Nov 25, 2008 1:41 am    Post subject: Reply with quote

by the way, digikam_0.10.0_beta5 came out. It can be installed by renaming the beta4 ebuild in the cde-crazy overlay and creating a digest.
Back to top
View user's profile Send private message
alexxy
Developer
Developer


Joined: 28 Jun 2005
Posts: 50
Location: Gatchina, St. Petersburg, Russia

PostPosted: Tue Nov 25, 2008 10:28 am    Post subject: Reply with quote

digikam 0.10beta5 already in kde-crazy
today i will unmask 4.1.80 after tarbols for it will be released
_________________
Gentoo Team Russia
Working on Gentoo for iPAQ hx4700
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 15, 16, 17 ... 28, 29, 30  Next
Page 16 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum